Package org.apache.struts2.conversion.impl

# Class NumberConverter

java.lang.Object
org.apache.struts2.conversion.impl.DefaultTypeConverter
org.apache.struts2.conversion.impl.NumberConverter

All Implemented Interfaces:
  `TypeConverter`

public class NumberConverter extends DefaultTypeConverter

- ## Field Summary

  ### Fields inherited from class org.apache.struts2.conversion.impl.DefaultTypeConverter

  `MILLISECOND_FORMAT`

  ### Fields inherited from interface org.apache.struts2.conversion.TypeConverter

  `NO_CONVERSION_POSSIBLE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberConverter()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected Object`
  `convertToBigDecimal(Map<String,Object> context, String stringValue)`
  `protected Object`
  `convertToDouble(Map<String,Object> context, String stringValue)`
  `protected Object`
  `convertToFloat(Map<String,Object> context, String stringValue)`
  `Object`
  `convertValue(Map<String,Object> context, Object target, Member member, String propertyName, Object value, Class toType)`
  Converts the given value to a given type.
  `protected NumberFormat`
  `getNumberFormat(Locale locale)`
  `protected boolean`
  `isInRange(Number value, String stringValue, Class toType)`
  `protected String`
  `normalize(String strValue, char separator)`

  ### Methods inherited from class org.apache.struts2.conversion.impl.DefaultTypeConverter

  `bigDecValue, bigIntValue, booleanValue, convertValue, convertValue, doubleValue, enumValue, getLocale, getTypeConverter, longValue, setContainer, stringValue, stringValue`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberConverter

    public NumberConverter()

- ## Method Details

  - ### convertValue

    public Object convertValue(Map<String,Object> context, Object target, Member member, String propertyName, Object value, Class toType)
    Description copied from interface: `TypeConverter`
    Converts the given value to a given type. The OGNL context, target, member and name of property being set are given. This method should be able to handle conversion in general without any context, target, member or property name specified.
    Specified by:
      `convertValue` in interface `TypeConverter`
    Overrides:
      `convertValue` in class `DefaultTypeConverter`
    Parameters:
      `context` - context under which the conversion is being done
      `target` - target object in which the property is being set
      `member` - member (Constructor, Method or Field) being set
      `propertyName` - property name being set
      `value` - value to be converted
      `toType` - type to which value is converted
    Returns:
      Converted value of type toType or TypeConverter.NoConversionPossible to indicate that the conversion was not possible.

  - ### convertToBigDecimal

    protected Object convertToBigDecimal(Map<String,Object> context, String stringValue)

  - ### convertToDouble

    protected Object convertToDouble(Map<String,Object> context, String stringValue)

  - ### convertToFloat

    protected Object convertToFloat(Map<String,Object> context, String stringValue)

  - ### getNumberFormat

    protected NumberFormat getNumberFormat(Locale locale)

  - ### normalize

    protected String normalize(String strValue, char separator)

  - ### isInRange

    protected boolean isInRange(Number value, String stringValue, Class toType)